package HotSaNICmod::common;

sub version {
  ($VERSION = '$Revision: 1.4 $') =~ s/.*(\d+\.\d+).*/$1/;
  return "common.pm $VERSION";
  }

sub configure {
  my %MODCONF=HotSaNICparser::get_moduleconfig(".",(LOGPATH=>"var",LOGNAME_RC5=>"var",LOGNAME_DES=>"var",LOGNAME_CSC=>"var",LOGNAME_OGR=>"var",NETWORK=>"array"));
  if ($MODCONF{LOGNAME_RC5} eq "") { $MODCONF{LOGNAME_RC5}="pproxyrc5"; }
  if ($MODCONF{LOGNAME_DES} eq "") { $MODCONF{LOGNAME_DES}="pproxydes"; }
  if ($MODCONF{LOGNAME_CSC} eq "") { $MODCONF{LOGNAME_CSC}="pproxycsc"; }
  if ($MODCONF{LOGNAME_OGR} eq "") { $MODCONF{LOGNAME_OGR}="pproxyogr"; }
  return %MODCONF;
  }

1;

